Package: org.gradle.plugins.signing.signatory.pgp

## [Groovy] Class PgpSignatoryFactory

- org.gradle.plugins.signing.signatory.pgp.PgpSignatoryFactory

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `PgpSignatory` | `createSignatory(Project project, boolean required = false)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, boolean required = false)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, String name, boolean required = false)`
    `PgpSignatory` | `createSignatory(String name, String keyId, File keyRing, String password)`
    `PgpSignatory` | `createSignatory(String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)`
    `protected def` | `getQualifiedPropertyName(String propertyPrefix, String name)`
    `protected PgpKeyId` | `normalizeKeyId(String keyId)`
    `protected PgpSignatory` | `readProperties(Project project, String prefix, String name, boolean required = false)`
    `org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(String keyId, File file)`
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(InputStream input, String keyId, String sourceDescription)`
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, String sourceDescription)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### PgpSignatory createSignatory(Project project, boolean required = false)

    - #### PgpSignatory createSignatory(Project project, String propertyPrefix, boolean required = false)

    - #### PgpSignatory createSignatory(Project project, String propertyPrefix, String name, boolean required = false)

    - #### PgpSignatory createSignatory(String name, String keyId, File keyRing, String password)

    - #### PgpSignatory createSignatory(String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)

    - #### protected def getQualifiedPropertyName(String propertyPrefix, String name)

    - #### protected PgpKeyId normalizeKeyId(String keyId)

    - #### protected PgpSignatory readProperties(Project project, String prefix, String name, boolean required = false)

    - #### org.bouncycastle.openpgp.PGPSecretKey readSecretKey(String keyId, File file)

    - #### protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(InputStream input, String keyId, String sourceDescription)

    - #### protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, String sourceDescription)